<div
  class="full-width"
  [formGroup]="formGroup"
  [attr.data-test-field-name]="fieldName"
>
  <input
    #textInput
    nz-input
    [placeholder]="placeholder"
    [formControlName]="fieldName"
    [value]="value"
    (blur)="closeOptionMenu()"
    (keyup.enter)="handleKeyupEnter($event)"
    (keyup.escape)="closeOptionMenu()"
    (keydown.arrowUp)="activateOptionAbove($event)"
    (keydown.arrowDown)="activateOptionBelow($event)"
  />
  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
        >{{ error.provideI18nKey() | translate }}</span
      >
    </div>
  }
  <div class="autocomplete-menu-container" [class.inactive]="!isMenuOpen">
    <div class="autocomplete-menu">
      @for (option of options; track option; let index = $index) {
        <sqtm-core-action-autocomplete-field-option
          [value]="option"
          (mousedown)="selectOptionWithMouse($event, option)"
          (mouseover)="activateOption(index)"
        >
        </sqtm-core-action-autocomplete-field-option>
      }
    </div>
  </div>
</div>
